# Scope
Provide resources for installing the [Blueprint]() reverse engineering tool, based on `python >= 2.6`.

# Dependencies
This cookbook has no external dependencies

# Tests

## Linting
Perform a cookbook syntax check by `cookstyle`:
```shell
cd cookbooks/blueprint
cookstyle
```

## Integration Tests
Integration testing is performed via `kitchen` by checking `git` package is installed and that `pip` and `blueprint` executable are available.
```shell
cd cookbooks/blueprint
kitchen test
```

# Requirements

## Platforms
- Debian / Ubuntu derivatives
- RHEL and derivatives

## Chef
- Chef 14+

# Resources

## blueprint
A single resource is available to install the Blueprint tool. Python is assumed to be installed on Centos server.

### Properties
- `git_user_name`: the user name for GIT, mandatory for Blueprint
- `git_user_email`: the user email for GIT, mandatory for Blueprint
- `run_path`: the path where blueprint runs, default: /opt/blueprints

### Actions
- `install`

### Examples

#### Install
Install `Blueprint` tool:
```ruby
blueprint 'install' do
  git_user_email 'myemail@gmail.com
  git_user_name  'myself'
end
```
