default_action :install

property :instance_name,  String, name_property: true
property :git_user_name,  String, required: true
property :git_user_email, String, required: true
property :run_path,       String, default: '/opt/blueprints'

action :install do
  package 'git'

  package 'epel-release'

  package 'python-pip'

  execute 'update pip' do
    command 'pip install --upgrade pip'
    only_if 'command -v python >/dev/null 2>&1 || exit 1'
  end

  execute 'install blueprint' do
    command 'pip install blueprint'
  end

  execute 'configure git user email' do
    command "git config --global user.email \"#{new_resource.git_user_email}\""
  end

  execute 'configure git user name' do
    command "git config --global user.name \"#{new_resource.git_user_name}\""
  end

  directory new_resource.run_path
end
